DNS Scripts
===========

A collection of Scripts about DNS Stuff I found on the internet.

Directories
===========

# scripts
* DNS Scripts

# zodiac
* DNS Spoofer

# nslint-2.1a8
nslint is a lint-like program that checks DNS files for errors. DNS or Domain Name System generally maps names to IP addresses and E-mail addresses in a hierarchical fashion. Errors detected include missing trailing dots, illegal characters (RFC 1034), records without matching PTR records and vice-versa, duplicate names in a subnet, duplicate names for an address, names with cname records (RFC 1033), missing quotes, and unknown keywords.

# dnswalk
dnswalk is a DNS debugger.  It performs zone transfers of specified domains, and checks the database in numerous ways for internal consistency, as well as accuracy.

# dnsdigger
DNSDigger is a programm to gather as much as possible informations from DNS Servers.

# digg
Zone Transfer Script

# dnsperf-src-2.0.0.0-1
DNSPerf “self-paces” the DNS query load to simulate network conditions. New features in DNSPerf improve the precision of latency measurements and allow for per packet per-query latency reporting is possible. DNSPerf is now multithreaded, multiple DNSPerf clients can be supported in multicore systems (each client requires two cores). The output of DNSPerf has also been improved so it is more concise and useful. Latency data can be used to make detailed graphs so it is simple for network operators to take advantage of the data.

ResPerf systematically increases the query rate and monitors the response rate to simulate caching DNS services.
